GET /api/v2/kyb/check-cr/{commercialNumber} — Check CR v2
Enhanced CR verification (v2) with additional details including owner information, branch data, authorized signatories, and real-time Zakat/Tax authority status.
Authentication
SadqAuthorize
Request Headers
- Authorization (required)
- Bearer {token}
Path Parameters
- commercialNumber (string, required)
- The Saudi commercial registration number (CR)
Query Parameters
- language (string, optional)
- Language code (ar for Arabic (default), en for English)
Responses
HTTP 200 — Enhanced CR check result
{
"data": {
"crNationalNumber": "70202",
"crNumber": "10102",
"versionNo": 3,
"name": "شركة د",
"nameLangId": 1,
"nameLangDesc": "اللغة العربية",
"crCapital": 300,
"companyDuration": 99,
"isMain": true,
"issueDateGregorian": "2022-02-16",
"issueDateHijri": "15-07-1443",
"mainCrNationalNumber": null,
"mainCrNumber": null,
"inLiquidationProcess": false,
"hasEcommerce": false,
"headquarterCityId": 3,
"headquarterCityName": "الرياض",
"isLicenseBased": true,
"licenseIssuerNationalNumber": "7807",
"licenseIssuerName": "وزارة الاستثمار",
"partnersNationalityId": 4,
"partnersNationalityName": "مختلطة",
"entityType": {
"id": "1",
"name": "شركة",
"formId": 1,
"formName": "ذات مسؤولية محدودة",
"characters": [
{
"id": "1",
"name": "شخص واحد"
}
]
},
"status": {
"id": "1",
"name": "نشط"
},
"confirmationDate": null,
"reactivationDate": null,
"suspensionDate": null,
"deletionDate": null,
"contactInfo": {
"phoneNo": "011201",
"mobileNo": "0096970477",
"email": "karim@gmail.com",
"websiteUrl": null
},
"eCommerce": {
"eStore": null
},
"capital": {
"currencyId": "1",
"currencyName": "ريال سعودي",
"contributionCapital": {
"typeId": "1",
"typeName": "نقدي",
"cashCapital": 3000,
"inKindCapital": 0,
"contributionValue": 10,
"totalCashContribution": 300000,
"totalInKindContribution": 0
},
"stockCapital": {
"typeId": null,
"typeName": null,
"capital": null,
"announcedCapital": null,
"paidCapital": null,
"cashCapital": null,
"inKindCapital": null,
"stocks": null
}
},
"fiscalYear": {
"isFirst": null,
"calendarTypeId": 2,
"calendarTypeName": "ميلادي",
"endMonth": 1,
"endDay": 1,
"endYear": null
},
"parties": [
{
"name": "كليم",
"typeId": 8,
"typeName": "مستثمر أجنبي (شركة أجنبية)",
"identity": {
"id": "0976",
"typeId": 8,
"typeName": "رقم السجل التجاري خارج المملكة"
},
"partnership": [
{
"id": "1",
"name": "شريك برأس المال"
}
],
"partnerShare": {
"cashContributionCount": 3000,
"inKindContributionCount": 0,
"totalContributionCount": 300
},
"nationality": {
"id": [],
"name": []
},
"licenseNo": null,
"crNumber": "00000"
}
],
"management": {
"structureId": 1,
"structureName": "مدير",
"managers": [
{
"name": "كريم",
"typeId": "4",
"typeName": "مقيم",
"isLicensed": false,
"identity": {
"id": "2524",
"typeId": 2,
"typeName": "هوية مقيم"
},
"nationality": {
"id": "516",
"name": "فرنسا"
},
"positions": []
}
]
},
"activities": [
{
"id": "5802",
"name": "أنظمة التشغيل"
},
{
"id": "6102",
"name": "تصميم"
},
{
"id": "6311",
"name": "خدمات "
},
{
"id": "7021",
"name": "إدارة "
},
{
"id": "6412",
"name": "التقنية "
}
]
},
"errorCode": 0,
"message": "",
"returnUrl": "/dashboard",
"stateValidationErrors": null,
"signature": ""
}HTTP 200 — Not Found
{
"data": null,
"errorCode": 149,
"message": "The commercial registration number is not registered with the Ministry of Commerce",
"returnUrl": "/dashboard",
"stateValidationErrors": null,
"signature": ""
}